from configparser import ConfigParser


class Config:
    def __init__(self, path):
        self.config = ConfigParser()
        self.config.read(path)

    @property
    def crew_portal_base_url(self):
        return self.config["ADONIS"]["CrewPortalBaseURL"]

    @property
    def integration_base_url(self):
        return self.config["ADONIS"]["IntegrationBaseURL"]

    @property
    def login(self):
        return self.config["ADONIS"]["Login"]

    @property
    def password(self):
        return self.config["ADONIS"]["Password"]
